Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 267)
@@ -73,28 +73,29 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
 
-            strcmd += "  ConstructionCode";	        // 工事コード
-            strcmd += ", SeqNo";                    // 注文書枝番
-            strcmd += ", GroupCount";               // グループ番号
-            strcmd += ", LineCount";                // 行番号
-            strcmd += ", ComponentCode";            // 構成キー
-            strcmd += ", ItemCode";		            // 工種キー
-            strcmd += ", FirstString";              // 工種品名
-            strcmd += ", SecondString";             // 内容内訳
-            strcmd += ", UnitCount";		        // 数量
-            strcmd += ", UnitName";		            // 単位
-            strcmd += ", UnitPrice";		        // 単価
-            strcmd += ", OrdersLinePrice";		    // 金額
-            strcmd += ", SourceCode";               // 予算作成時工事番号
-            strcmd += ", SourceLineCnt";	        // 注文書作成時台帳行番号
+            strcmd.Append("SELECT");
+            strcmd.Append("  ConstructionCode");	        // 工事コード
+            strcmd.Append(", SeqNo");                    // 注文書枝番
+            strcmd.Append(", GroupCount");               // グループ番号
+            strcmd.Append(", LineCount");                // 行番号
+            strcmd.Append(", ComponentCode");            // 構成キー
+            strcmd.Append(", ItemCode");		            // 工種キー
+            strcmd.Append(", FirstString");              // 工種品名
+            strcmd.Append(", SecondString");             // 内容内訳
+            strcmd.Append(", UnitCount");		        // 数量
+            strcmd.Append(", UnitName");		            // 単位
+            strcmd.Append(", UnitPrice");		        // 単価
+            strcmd.Append(", OrdersLinePrice");		    // 金額
+            strcmd.Append(", SourceCode");               // 予算作成時工事番号
+            strcmd.Append(", SourceLineCnt");	        // 注文書作成時台帳行番号
 
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM PurchaseOrderDetail";
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM PurchaseOrderDetail");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -108,15 +109,16 @@
         public bool SelectAction(string AddSQLString, ref PurchaseOrderDetail data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -129,7 +131,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -145,16 +147,17 @@
         public bool SelectAction(string AddSQLString, ref List<PurchaseOrderDetail> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -168,7 +171,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -182,50 +185,50 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(PurchaseOrderDetail work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "INSERT INTO PurchaseOrderDetail";
+                strcmd.Append("INSERT INTO PurchaseOrderDetail");
 
-                strcmd += "(";
+                strcmd.Append("(");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
 
-                strcmd += string.Format("  {0}", work.ConstructionCode);        // 工事番号
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);        // 工事番号
 
-                strcmd += string.Format(", {0}", work.SeqNo);                   // 注文書枝番
-                strcmd += string.Format(", {0}", work.GroupCount);              // グループ番号
-                strcmd += string.Format(", {0}", work.LineCount);               // 行番号
-                strcmd += string.Format(", {0}", work.ComponentCode);           // 構成キー
-                strcmd += string.Format(", {0}", work.ItemCode);		        // 工種キー
-                strcmd += string.Format(",'{0}'", work.FirstString);            // 工種・品名
-                strcmd += string.Format(",'{0}'", work.SecondString);           // 内容内訳
-                strcmd += string.Format(", {0}", work.UnitCount);		        // 数量
-                strcmd += string.Format(",'{0}'", work.UnitName);		        // 単位
-                strcmd += string.Format(", {0}", work.UnitPrice);		        // 単価
-                strcmd += string.Format(", {0}", work.OrdersLinePrice);         // 金額
-                strcmd += string.Format(", {0}", work.SourceCode);              // 予算作成時工事番号
-                strcmd += string.Format(", {0}", work.SourceLineCnt);	        // 注文書作成時台帳行番号
+                strcmd.AppendFormat(", {0}", work.SeqNo);                   // 注文書枝番
+                strcmd.AppendFormat(", {0}", work.GroupCount);              // グループ番号
+                strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
+                strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
+                strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
+                strcmd.AppendFormat(",'{0}'", work.FirstString);            // 工種・品名
+                strcmd.AppendFormat(",'{0}'", work.SecondString);           // 内容内訳
+                strcmd.AppendFormat(", {0}", work.UnitCount);		        // 数量
+                strcmd.AppendFormat(",'{0}'", work.UnitName);		        // 単位
+                strcmd.AppendFormat(", {0}", work.UnitPrice);		        // 単価
+                strcmd.AppendFormat(", {0}", work.OrdersLinePrice);         // 金額
+                strcmd.AppendFormat(", {0}", work.SourceCode);              // 予算作成時工事番号
+                strcmd.AppendFormat(", {0}", work.SourceLineCnt);	        // 注文書作成時台帳行番号
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -239,56 +242,56 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<PurchaseOrderDetail> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO PurchaseOrderDetail";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO PurchaseOrderDetail");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (PurchaseOrderDetail work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.ConstructionCode);        // 工事番号
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);        // 工事番号
 
-                    strcmd += string.Format(", {0}", work.SeqNo);                   // 注文書枝番
-                    strcmd += string.Format(", {0}", work.GroupCount);              // グループ番号
-                    strcmd += string.Format(", {0}", work.LineCount);               // 行番号
-                    strcmd += string.Format(", {0}", work.ComponentCode);           // 構成キー
-                    strcmd += string.Format(", {0}", work.ItemCode);		        // 工種キー
-                    strcmd += string.Format(",'{0}'", work.FirstString);            // 工種・品名
-                    strcmd += string.Format(",'{0}'", work.SecondString);           // 内容内訳
-                    strcmd += string.Format(", {0}", work.UnitCount);		        // 数量
-                    strcmd += string.Format(",'{0}'", work.UnitName);		        // 単位
-                    strcmd += string.Format(", {0}", work.UnitPrice);		        // 単価
-                    strcmd += string.Format(", {0}", work.OrdersLinePrice);         // 金額
-                    strcmd += string.Format(", {0}", work.SourceCode);              // 予算作成時工事番号
-                    strcmd += string.Format(", {0}", work.SourceLineCnt);	        // 注文書作成時台帳行番号
+                    strcmd.AppendFormat(", {0}", work.SeqNo);                   // 注文書枝番
+                    strcmd.AppendFormat(", {0}", work.GroupCount);              // グループ番号
+                    strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
+                    strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
+                    strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
+                    strcmd.AppendFormat(",'{0}'", work.FirstString);            // 工種・品名
+                    strcmd.AppendFormat(",'{0}'", work.SecondString);           // 内容内訳
+                    strcmd.AppendFormat(", {0}", work.UnitCount);		        // 数量
+                    strcmd.AppendFormat(",'{0}'", work.UnitName);		        // 単位
+                    strcmd.AppendFormat(", {0}", work.UnitPrice);		        // 単価
+                    strcmd.AppendFormat(", {0}", work.OrdersLinePrice);         // 金額
+                    strcmd.AppendFormat(", {0}", work.SourceCode);              // 予算作成時工事番号
+                    strcmd.AppendFormat(", {0}", work.SourceLineCnt);	        // 注文書作成時台帳行番号
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -303,40 +306,40 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, PurchaseOrderDetail data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE PurchaseOrderDetail";
+                strcmd.Append("UPDATE PurchaseOrderDetail");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);	        // 工事番号
-                strcmd += string.Format(", CompanyCode = {0}", data.SeqNo);                         // 注文書枝番
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);	        // 工事番号
+                strcmd.AppendFormat(", CompanyCode = {0}", data.SeqNo);                         // 注文書枝番
 
-                strcmd += string.Format(", GroupCount = {0}", data.GroupCount);                     // グループ番号
-                strcmd += string.Format(", LineCount = {0}", data.LineCount);                       // 行番号
-                strcmd += string.Format(", ComponentCode = {0}", data.ComponentCode);               // 構成キー
-                strcmd += string.Format(", ItemCode = {0}", data.ItemCode);		                    // 工種キー
-                strcmd += string.Format(", FirstString = '{0}'", data.FirstString);                 // 工種・品名
-                strcmd += string.Format(", SecondString = '{0}'", data.SecondString);               // 内容内訳
-                strcmd += string.Format(", UnitCount = {0}", data.UnitCount);		                // 数量
-                strcmd += string.Format(", UnitName = '{0}'", data.UnitName);		                // 単位
-                strcmd += string.Format(", UnitPrice = {0}", data.UnitPrice);		                // 単価
-                strcmd += string.Format(", OrdersLinePrice = {0}", data.OrdersLinePrice);		    // 金額
-                strcmd += string.Format(", SourceCode = {0}", data.SourceCode);                     // 予算作成時工事番号
-                strcmd += string.Format(", SourceLineCnt = {0}", data.SourceLineCnt);	            // 注文書作成時台帳行番号
+                strcmd.AppendFormat(", GroupCount = {0}", data.GroupCount);                     // グループ番号
+                strcmd.AppendFormat(", LineCount = {0}", data.LineCount);                       // 行番号
+                strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);               // 構成キー
+                strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode);		                    // 工種キー
+                strcmd.AppendFormat(", FirstString = '{0}'", data.FirstString);                 // 工種・品名
+                strcmd.AppendFormat(", SecondString = '{0}'", data.SecondString);               // 内容内訳
+                strcmd.AppendFormat(", UnitCount = {0}", data.UnitCount);		                // 数量
+                strcmd.AppendFormat(", UnitName = '{0}'", data.UnitName);		                // 単位
+                strcmd.AppendFormat(", UnitPrice = {0}", data.UnitPrice);		                // 単価
+                strcmd.AppendFormat(", OrdersLinePrice = {0}", data.OrdersLinePrice);		    // 金額
+                strcmd.AppendFormat(", SourceCode = {0}", data.SourceCode);                     // 予算作成時工事番号
+                strcmd.AppendFormat(", SourceLineCnt = {0}", data.SourceLineCnt);	            // 注文書作成時台帳行番号
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -352,18 +355,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM PurchaseOrderDetail", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM PurchaseOrderDetail", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -376,68 +379,68 @@
         /// <returns></returns>
         public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE PurchaseOrderDetail";
+                strcmd.Append("UPDATE PurchaseOrderDetail");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)TableColumn.ConstructionCode: // 工事番号
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SeqNo:            // 注文書枝番
-                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SeqNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.GroupCount:       // グループ番号
-                        strcmd += string.Format(" GroupCount = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" GroupCount = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.LineCount:        // 行番号
-                        strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" LineCount = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ComponentCode:    // 構成キー
-                        strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ComponentCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ItemCode:		    // 工種キー
-                        strcmd += string.Format(" ItemCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ItemCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.FirstString:      // 工種・品名
-                        strcmd += string.Format(" FirstString = '{0}'", value);
+                        strcmd.AppendFormat(" FirstString = '{0}'", value);
                         break;
                     case (int)TableColumn.SecondString:     // 内容内訳
-                        strcmd += string.Format(" SecondString = '{0}'", value);
+                        strcmd.AppendFormat(" SecondString = '{0}'", value);
                         break;
                     case (int)TableColumn.UnitCount:		// 数量
-                        strcmd += string.Format(" UnitCount = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" UnitCount = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.UnitName:		    // 単位
-                        strcmd += string.Format(" UnitName = '{0}'", value);
+                        strcmd.AppendFormat(" UnitName = '{0}'", value);
                         break;
                     case (int)TableColumn.UnitPrice:		// 単価
-                        strcmd += string.Format(" UnitPrice = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" UnitPrice = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.OrdersLinePrice:	// 金額
-                        strcmd += string.Format(" OrdersLinePrice = {0}", ((double)value).ToString());
+                        strcmd.AppendFormat(" OrdersLinePrice = {0}", ((double)value).ToString());
                         break;
                     case (int)TableColumn.SourceCode:       // 予算作成時工事番号
-                        strcmd += string.Format(" SourceCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SourceCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SourceLineCnt:	            // 注文書作成時台帳行番号
-                        strcmd += string.Format(" SourceLineCnt = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SourceLineCnt = {0}", ((int)value).ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(ConstructionCode);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -497,23 +500,23 @@
         /// <returns></returns>
         public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0, int GroupCount = 0, int LineCount = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
+                strWork.AppendFormat(" Where ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
-                    strWork += string.Format(" And SEQNO = {0}", SeqNo);
+                    strWork.AppendFormat(" And SEQNO = {0}", SeqNo);
                 if (GroupCount != 0)
-                    strWork += string.Format(" And GROUPCOUNT = {0}", GroupCount);
+                    strWork.AppendFormat(" And GROUPCOUNT = {0}", GroupCount);
                 if (LineCount != 0)
-                    strWork += string.Format(" And LineCount = {0}", LineCount);
+                    strWork.AppendFormat(" And LineCount = {0}", LineCount);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
